org.appng.core.domain

## Class SiteApplication

- java.lang.Object
- - org.appng.core.domain.SiteApplication

- Direct Known Subclasses:
    ApplicationProvider

      @Entity
      public class SiteApplication
      extends Object

  A `SiteApplication` represents a `Application` which is assigned to a `Site`, optionally using a `DatabaseConnection`.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteApplication()`
    `SiteApplication(Site site, Application application)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Application` | `getApplication()`
    `DatabaseConnection` | `getDatabaseConnection()`
    `Set<Site>` | `getGrantedSites()`
    `Site` | `getSite()`
    `SiteApplicationPK` | `getSiteApplicationId()`
    `boolean` | `isActive()`
    `boolean` | `isMarkedForDeletion()`
    `boolean` | `isReloadRequired()`
    `void` | `setActive(boolean active)`
    `void` | `setApplication(Application application)`
    `void` | `setDatabaseConnection(DatabaseConnection databaseConnection)`
    `void` | `setGrantedSites(Set<Site> grantedSites)`
    `void` | `setMarkedForDeletion(boolean markedForDeletion)`
    `void` | `setReloadRequired(boolean reloadRequired)`
    `void` | `setSite(Site site)`
    `void` | `setSiteApplicationId(SiteApplicationPK siteApplicationId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteApplication

          public SiteApplication()

    - #### SiteApplication

          public SiteApplication(Site site,
                                 Application application)

  - ### Method Detail

    - #### getSite

          public Site getSite()

    - #### setSite

          public void setSite(Site site)

    - #### getApplication

          public Application getApplication()

    - #### setApplication

          public void setApplication(Application application)

    - #### getDatabaseConnection

          public DatabaseConnection getDatabaseConnection()

    - #### setDatabaseConnection

          public void setDatabaseConnection(DatabaseConnection databaseConnection)

    - #### getGrantedSites

          public Set<Site> getGrantedSites()

    - #### setGrantedSites

          public void setGrantedSites(Set<Site> grantedSites)

    - #### getSiteApplicationId

          public SiteApplicationPK getSiteApplicationId()

    - #### setSiteApplicationId

          public void setSiteApplicationId(SiteApplicationPK siteApplicationId)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

    - #### isReloadRequired

          public boolean isReloadRequired()

    - #### setReloadRequired

          public void setReloadRequired(boolean reloadRequired)

    - #### isMarkedForDeletion

          public boolean isMarkedForDeletion()

    - #### setMarkedForDeletion

          public void setMarkedForDeletion(boolean markedForDeletion)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.